Subject: RE: H.263 RFC 2429

From: Gary Sullivan <[email-masked]>
Date: Thu, 17 Feb 2000 12:00:55 -0800

To Baldine Paul re RFC 2429,
 
Just came across this old question -- I don't know why I didn't see it
earlier.
 
Section 5.1.1 was meant to say that UFEP could be 1 in the redundant header
copy
even if it was 0 in the payload stream.  Whether you actually do that or not
was
intentionally left up to the implementer.  For example, nothing is ever
changing in
the entire stream for hours on end, it is probably safe to not send full
headers.
 
Best Wishes,
 
Gary Sullivan

-----Original Message-----
From: Baldine Paul [mailto:[email-masked]]
Sent: Friday, October 22, 1999 1:42 PM
To: [email-masked]; [email-masked]; [email-masked]; Gary
Sullivan; [email-masked]
Cc: [email-masked]
Subject: H.263 RFC 2429

I have a comment regarding the packetization scheme described in 
Section 5.1.2 of the RFC. It specifies that a redundant copy of the picture
header may be attached to the RTP header for packets that begin with GBSC or
SSC.
What is not obvious is whether that redundant picture header is full length
(with UFEP=001) or
not. 
Although, it could be left to the implementer to decide whether to include a
complete picture
header or not, I suggest, to be consistent with the recommendation of
Section 5.1.1, that
all redundant picture headers(for packets beginning with a Picture Start
Code,
a GBSC, a SSC or even a Follow-on packet), be complete, with UFEP=001.
 
Baldine-Brunel Paul
AT&T Labs-Research
Room 3-225, 100 Schultz Drive
Red Bank, NJ 07701
phone: 732-345-3312
[email-masked] <mailto:[email-masked]> 
http://www.research.att.com/info/baldine
<http://www.research.att.com/info/baldine>